#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x84,0xE1,0xCC,0xA7,0x26,0x6E,0x2E,0xE3,0x4F,0xEA,0x47,0x34,
		0x80,0x3E,0x56,0x19,0xA8,0x56,0x69,0xCC,0x75,0xE8,0x25,0xEC,
		0x7E,0xA5,0x3E,0x20,0x65,0xCC,0x51,0x5B,0xC0,0x59,0x58,0xB2,
		0x05,0x41,0x4B,0xE7,0xFB,0x05,0x11,0xC0,0xF3,0xB8,0x09,0x3E,
		0x34,0xEC,0xE4,0x64,0x56,0xBB,0xC9,0x97,0xB1,0xC9,0x9A,0x95,
		0x98,0x6A,0xE7,0x2B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
